# Generated by Django 3.2.4 on 2021-11-01 17:22

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0006_estatutodocumento'),
    ]

    operations = [
        migrations.CreateModel(
            name='Associacao',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fisica', models.BooleanField(blank=True)),
                ('juridica', models.BooleanField(blank=True)),
                ('nome_razao', models.CharField(max_length=255)),
                ('data_nascimento', models.DateField()),
                ('cpf_cnpj', models.CharField(max_length=14)),
                ('endereco', models.CharField(max_length=255)),
                ('numero_end', models.CharField(max_length=5)),
                ('cep', models.CharField(max_length=8)),
                ('bairro', models.CharField(max_length=100)),
                ('cidade', models.CharField(max_length=100)),
                ('uf', models.CharField(max_length=2)),
                ('pais', models.CharField(max_length=50)),
                ('tel_cel', models.CharField(max_length=12)),
                ('tel_fixo', models.CharField(max_length=12)),
                ('email', models.EmailField(max_length=254)),
                ('endereco_trab', models.CharField(max_length=255)),
                ('numero_end_trab', models.CharField(max_length=5)),
                ('cep_trab', models.CharField(max_length=8)),
                ('bairro_trab', models.CharField(max_length=100)),
                ('cidade_trab', models.CharField(max_length=100)),
                ('uf_trab', models.CharField(max_length=2)),
                ('pais_trab', models.CharField(max_length=50)),
                ('tel_trab', models.CharField(max_length=12)),
                ('email_trab', models.EmailField(max_length=254)),
                ('lattes', models.URLField()),
                ('ensino_fundamental', models.CharField(max_length=255)),
                ('ensino_medio', models.CharField(max_length=255)),
                ('graduacao', models.CharField(max_length=255)),
                ('especializacao', models.CharField(max_length=255)),
                ('mestrado', models.CharField(max_length=255)),
                ('doutorado', models.CharField(max_length=255)),
                ('pos_doc', models.CharField(max_length=255)),
                ('outro', models.CharField(max_length=255)),
                ('atividade_prof', models.CharField(choices=[('PPNS', 'Professores, pesquisadores de nível superior'), ('PEB', 'Professores da Educação Básica'), ('PE', 'Profissionais da educação'), ('EPG', 'Estudantes de Pós Graduação'), ('EG', 'Estudantes de Graduação e outras categorias')], max_length=4)),
                ('pagamento', models.CharField(choices=[('PP', 'Paypal'), ('T', 'Transferência')], max_length=4)),
            ],
        ),
        migrations.CreateModel(
            name='Imagens',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('imagem', models.ImageField(upload_to='')),
            ],
        ),
        migrations.AlterField(
            model_name='acesso',
            name='data',
            field=models.DateTimeField(auto_now_add=True),
        ),
        migrations.CreateModel(
            name='InformesFIPED',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(max_length=250, verbose_name='Título')),
                ('texto', models.TextField(blank=True, null=True, verbose_name='Texto')),
                ('imagens', models.ManyToManyField(blank=True, null=True, to='blog.Imagens')),
            ],
        ),
        migrations.CreateModel(
            name='EdicoesFIPED',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(max_length=250, verbose_name='Título')),
                ('capa', models.ImageField(upload_to='')),
                ('texto', models.TextField(blank=True, null=True, verbose_name='Texto')),
                ('imagens', models.ManyToManyField(blank=True, null=True, to='blog.Imagens')),
            ],
        ),
    ]
